Summary: Tool to convert AsciiDoc text files to DocBook, HTML or Unix man pages
Name: asciidoc
Version: 8.2.5
Release: %mkrel 1
License: GPL
Group: Publishing
URL: http://www.methods.co.nz/asciidoc/

Source: http://www.methods.co.nz/asciidoc/asciidoc-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: python-devel
Requires: python

%description
AsciiDoc is a text document format for writing short documents, articles,
books and UNIX man pages.

%prep
%setup

%build

%install
%{__rm} -rf %{buildroot}
%{__install} -d -m0755 %{buildroot}%{_sysconfdir}/asciidoc/stylesheets/
%{__install} -p -m0644 stylesheets/xhtml*.css %{buildroot}%{_sysconfdir}/asciidoc/stylesheets/
%{__install} -p -m0644 *.conf %{buildroot}%{_sysconfdir}/asciidoc/

%{__install} -Dp -m0644 filters/code-filter.conf %{buildroot}%{_sysconfdir}/asciidoc/filters/code-filter.conf
%{__install} -Dp -m0755 filters/code-filter.py %{buildroot}%{_sysconfdir}/asciidoc/filters/code-filter.py

%{__install} -Dp -m0755 asciidoc.py %{buildroot}%{_bindir}/asciidoc
%{__install} -Dp -m0644 doc/asciidoc.1 %{buildroot}%{_mandir}/man1/asciidoc.1

%{__install} -d -m0755 %{buildroot}%{_datadir}/asciidoc/
%{__cp} -pR images/ stylesheets/ %{buildroot}%{_datadir}/asciidoc/


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc BUGS CHANGELOG COPYRIGHT README
%doc doc/*.txt filters/*.txt
%doc %{_mandir}/man1/asciidoc.1*
%config(noreplace) %{_sysconfdir}/asciidoc/
%{_bindir}/asciidoc
%{_datadir}/asciidoc/





%changelog
* Fri Dec 28 2007 Gaëtan Lehmann <glehmann@mandriva.org> 8.2.5-1mdv2008.1
+ Revision: 138820
- update to new version 8.2.5

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Jul 24 2007 Gaëtan Lehmann <glehmann@mandriva.org> 8.2.2-1mdv2008.0
+ Revision: 55061
- 8.2.2


* Thu Nov 30 2006 Gaëtan Lehmann (INRA) <glehmann@mandriva.org> 8.1.0-1mdv2007.0
+ Revision: 89051
- 8.1.0

* Thu Aug 10 2006 Gaëtan Lehmann (INRA) <glehmann@mandriva.org> 7.1.2-2mdv2007.0
+ Revision: 55014
- rebuild
- Import asciidoc

* Wed Mar 08 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 7.1.2-1mdk
- New release 7.1.2

* Tue Feb 28 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 7.1.1-1mdk
- New release 7.1.1

* Fri Jan 13 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 7.1.0-1mdk
- New release 7.1.0

* Wed Dec 21 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 7.0.4-2mdk
- rebuild to sync x86_64 package

* Thu Dec 08 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 7.0.4-1mdk
- New release 7.0.4

* Sat Dec 03 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 7.0.3-1mdk
- New release 7.0.3

* Fri Sep 09 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 7.0.2-1mdk
- first mandriva release

* Sat Aug 13 2005 Dag Wieers <dag@wieers.com> - 7.0.1-3 - 3468+/dag
- Add missing deffatr(). (Alain Rykaert)
- Put asciidoc in %%{_bindir}, instead of a symlink.

* Thu Aug 11 2005 Dag Wieers <dag@wieers.com> - 7.0.1-1
- Initial package. (using DAR)

